#ifndef RENDER_WINDOW_H
#define RENDER_WINDOW_H

#include "globals.h"


class Render_Window : public Fl_Gl_Window
{
   public:
    Render_Window(Camera *camera,int x,int y,int w,int h,const char *l);
    virtual ~Render_Window();
    void initgl();
    void change_map(void);
    virtual void draw();
    virtual void render();
    void DrawCube();
    virtual int handle(int event);
    bool has_focus;
    LBA_MAP_GL *lba_map_gl;
    bool initglflag;
    Camera *camera;
    bool has_texture;
    bool has_light;
    bool change_map_flag;
    bool LBA2_flag;
    int NUM_MAP;
    char map_name[1000];
};


#endif
